%define srcname FormEncode

Name:           python-formencode
Version:        1.2.6
Release:        %mkrel 1
Summary:        HTML form validation, generation, and convertion package  
Group:          Development/Python
License:        Python
URL:            http://formencode.org/
Source0:        http://pypi.python.org/packages/source/F/FormEncode/%{srcname}-%{version}.zip

BuildArch:      noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
BuildRequires: python-docutils
BuildRequires: python-nose

%description
FormEncode validates and converts nested structures. It allows for a 
declarative form of defining the validation, and decoupled processes 
for filling and generating forms.

%files -f %{srcname}.lang
%doc PKG-INFO docs
%{python_sitelib}/formencode
%{python_sitelib}/%{srcname}-%{version}-py%{pyver}.egg-info

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


# Move l10n files in correct place like it's done on fedora
for file in %{buildroot}/%{python_sitelib}/formencode/i18n/* ; do
    if [ -d $file ] ; then
        if [ -e $file/LC_MESSAGES/%{srcname}.mo ] ; then
            mkdir -p %{buildroot}/%{_datadir}/locale/`basename $file`/LC_MESSAGES/
            mv $file/LC_MESSAGES/%{srcname}.mo %{buildroot}/%{_datadir}/locale/`basename $file`/LC_MESSAGES/
        fi
    fi
done
rm -rf %{buildroot}/%{python_sitelib}/formencode/i18n

%find_lang %{srcname}


%changelog
* Sat Aug 10 2013 billybot <billybot> 1.2.6-1pclos2013
- update
